<?php

namespace Drupal\unpublished_file\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines an annotation object for the file source plugin.
 *
 * @see hook_unpublished_file_source_info_alter()
 *
 * @Annotation
 */
class FileSource extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public string $id;

  /**
   * The human-readable name of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public string $label;

  /**
   * A brief description of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public string $description = '';

  /**
   * The modules that should be enabled in order this module to work.
   *
   * @var string[]
   */
  public array $required_modules = [];

}
